Debian Bug report logs - #456598
powertop should correctly use hal-disable-polling

version graph

Package: powertop; Maintainer for powertop is Jose Luis Rivas <ghostbar@debian.org>; Source for powertop is src:powertop.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Sun, 16 Dec 2007 21:09:01 UTC

Severity: normal

Fixed in versions powertop/1.97-1, 1.97-1

Done: Patrick Winnertz <winnie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#456598; Package hal. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hal: hal-disable-polling --enable-polling does not work
Date: Sun, 16 Dec 2007 21:06:53 +0000
[Message part 1 (text/plain, inline)]
Package: hal
Version: 0.5.10-4
Severity: normal

lakeview no % sudo hal-disable-polling --enable-polling --device /dev/scd0
Polling is already enabled on the given drive.
bmc@lakeview:~
(2007-12-16/20:59:45)(pts/1)(failed:1:none)
lakeview no % ps ax | grep hald-addon-storage
bmc@lakeview:~
(2007-12-16/20:59:47)(pts/1)(failed:1:none)
lakeview no %

Obviously, polling is not already enabled on the drive, or
hald-addon-storage would be running.  Note that I used
hal-disable-polling to disable polling and now want to reenable it, but
I cannot do so (at least not without logging out and logging back in
again).  This is annoying.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-rc5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages hal depends on:
ii  adduser                 3.105            add and remove users and groups
ii  dbus                    1.1.2-1          simple interprocess messaging syst
ii  hal-info                20071212-1       Hardware Abstraction Layer - fdi f
ii  libc6                   2.7-4            GNU C Library: Shared libraries
ii  libdbus-1-3             1.1.2-1          simple interprocess messaging syst
ii  libdbus-glib-1-2        0.74-1           simple interprocess messaging syst
ii  libexpat1               1.95.8-4         XML parsing C library - runtime li
ii  libgcc1                 1:4.3-20071130-1 GCC support library
ii  libglib2.0-0            2.14.4-2         The GLib library of C routines
ii  libhal-storage1         0.5.10-4         Hardware Abstraction Layer - share
ii  libhal1                 0.5.10-4         Hardware Abstraction Layer - share
ii  libsmbios1              0.13.10-1        Provide access to (SM)BIOS informa
ii  libstdc++6              4.3-20071130-1   The GNU Standard C++ Library v3
ii  libusb-0.1-4            2:0.1.12-8       userspace USB programming library
ii  libvolume-id0           0.114-2          libvolume_id shared library
ii  lsb-base                3.1-24           Linux Standard Base 3.1 init scrip
ii  mount                   2.13-13          Tools for mounting and manipulatin
ii  pciutils                1:2.2.4-1.1      Linux PCI Utilities
ii  pm-utils                0.99.2-3         utilities and scripts for power ma
ii  udev                    0.114-2          /dev/ and hotplug management daemo
ii  usbutils                0.73-5           Linux USB utilities

Versions of packages hal recommends:
ii  eject                         2.1.5-6    ejects CDs and operates CD-Changer
ii  libsmbios-bin                 0.13.10-1  Provide access to (SM)BIOS informa

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
a typesetting engine: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#456598; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #10 received at 456598@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 456598@bugs.debian.org
Subject: Re: Bug#456598: hal: hal-disable-polling --enable-polling does not work
Date: Wed, 19 Dec 2007 08:47:16 +0100
[Message part 1 (text/plain, inline)]
brian m. carlson schrieb:
> Package: hal
> Version: 0.5.10-4
> Severity: normal
> 
> lakeview no % sudo hal-disable-polling --enable-polling --device /dev/scd0
> Polling is already enabled on the given drive.
> bmc@lakeview:~

Works fine for me.
Could you post the value storage.media_check_enabled for your cd drive.
Do you have a file in /etc/hal/fdi/information/media-check*fdi

Cheers,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#456598; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #15 received at 456598@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 456598@bugs.debian.org
Subject: Re: Bug#456598: hal: hal-disable-polling --enable-polling does not work
Date: Wed, 19 Dec 2007 09:01:13 +0100
[Message part 1 (text/plain, inline)]
brian m. carlson schrieb:
> Package: hal
> Version: 0.5.10-4
> Severity: normal
> 
> lakeview no % sudo hal-disable-polling --enable-polling --device /dev/scd0
> Polling is already enabled on the given drive.
> bmc@lakeview:~
> (2007-12-16/20:59:45)(pts/1)(failed:1:none)
> lakeview no % ps ax | grep hald-addon-storage
> bmc@lakeview:~
> (2007-12-16/20:59:47)(pts/1)(failed:1:none)
> lakeview no %
> 
> Obviously, polling is not already enabled on the drive, or
> hald-addon-storage would be running.  Note that I used
> hal-disable-polling to disable polling and now want to reenable it, but
> I cannot do so (at least not without logging out and logging back in
> again).  This is annoying.
> 


pluto:~# hal-disable-polling --enable-polling --device /dev/scd0
Polling for drive /dev/scd0 have been enabled. The fdi file deleted was

/etc/hal/fdi/information/media-check-disable-storage_model_DVD_RW_GCA_4040N.fdi
pluto:~# ps aux | grep hald-addon-storage
root      3326  0.0  0.1   3248  1020 ?        S    08:55   0:00
hald-addon-storage: polling /dev/scd0 (every 2 sec)

pluto:~# hal-disable-polling --device /dev/scd0
Polling for drive /dev/scd0 have been disabled. The fdi file written was

/etc/hal/fdi/information/media-check-disable-storage_model_DVD_RW_GCA_4040N.fdi
pluto:~# ps aux | grep hald-addon-storage

pluto:~# hal-disable-polling --enable-polling --device /dev/scd0
Polling for drive /dev/scd0 have been enabled. The fdi file deleted was

/etc/hal/fdi/information/media-check-disable-storage_model_DVD_RW_GCA_4040N.fdi
pluto:~# ps aux | grep hald-addon-storage
root      3389  0.0  0.1   3248  1020 ?        S    08:56   0:00
hald-addon-storage: polling /dev/scd0 (every 2 sec)

As you can see, hald-addon-storage is correctly stopped/started for me
without having to login/logout or restart hal. Have you compiled your
kernel yourself? Is it missing intofiy/dnotify support?

Cheers,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#456598; Package hal. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #20 received at 456598@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Michael Biebl <biebl@debian.org>
Cc: 456598@bugs.debian.org
Subject: Re: Bug#456598: hal: hal-disable-polling --enable-polling does not work
Date: Wed, 19 Dec 2007 17:56:21 +0000
[Message part 1 (text/plain, inline)]
On Wed, Dec 19, 2007 at 08:47:16AM +0100, Michael Biebl wrote:
>Works fine for me.
>Could you post the value storage.media_check_enabled for your cd drive.

It is true.

>Do you have a file in /etc/hal/fdi/information/media-check*fdi

/etc/hal/fdi/information/ is empty.

Also note that I used powertop to disable polling.  It complains with a 
different error when I manually run hal-disable-polling to disable 
polling.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
a typesetting engine: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 456598-done@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Cc: 456598-done@bugs.debian.org
Subject: Re: Bug#456598: hal: hal-disable-polling --enable-polling does not work
Date: Wed, 19 Dec 2007 19:50:06 +0100
[Message part 1 (text/plain, inline)]
brian m. carlson schrieb:
> On Wed, Dec 19, 2007 at 08:47:16AM +0100, Michael Biebl wrote:
>> Works fine for me.
>> Could you post the value storage.media_check_enabled for your cd drive.
> 
> It is true.
> 
>> Do you have a file in /etc/hal/fdi/information/media-check*fdi
> 
> /etc/hal/fdi/information/ is empty.
> 
> Also note that I used powertop to disable polling.  It complains with a
> different error when I manually run hal-disable-polling to disable polling.
> 

That's the cause then. powertop simply kills the hald-addon-storage
process, it doesn't correctly disable it. That's why hal-disable-polling
 --enable-polling reports that polling is already enabled (it check for
storage.media_check_enabled which powertop doesn't set to false).

To correctly disable/enable polling, please use hal-disable-polling only!

Not a but in hal, therefore closing it.

What you can do, is file a bug against powertop, to correctly use
hal-disable-polling.

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sjoerd Simons <sjoerd@debian.org>:
Bug#456598; Package hal. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Sjoerd Simons <sjoerd@debian.org>. Full text and rfc822 format available.

Message #30 received at 456598@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
Cc: 456598@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#456598: hal: hal-disable-polling --enable-polling does not work
Date: Wed, 19 Dec 2007 19:54:55 +0100
[Message part 1 (text/plain, inline)]
reopen 456598
reassign powertop
retitle 456598 powertop should correctly use hal-disable-polling
thanks

Michael Biebl schrieb:
> brian m. carlson schrieb:
>> On Wed, Dec 19, 2007 at 08:47:16AM +0100, Michael Biebl wrote:
>>> Works fine for me.
>>> Could you post the value storage.media_check_enabled for your cd drive.
>> It is true.
>>
>>> Do you have a file in /etc/hal/fdi/information/media-check*fdi
>> /etc/hal/fdi/information/ is empty.
>>
>> Also note that I used powertop to disable polling.  It complains with a
>> different error when I manually run hal-disable-polling to disable polling.
>>
> 
> That's the cause then. powertop simply kills the hald-addon-storage
> process, it doesn't correctly disable it. That's why hal-disable-polling
>  --enable-polling reports that polling is already enabled (it check for
> storage.media_check_enabled which powertop doesn't set to false).
> 
> To correctly disable/enable polling, please use hal-disable-polling only!
> 
> Not a but in hal, therefore closing it.
> 
> What you can do, is file a bug against powertop, to correctly use
> hal-disable-polling.

Ok, it's probably best to simply reassign the bug.
I reopened and reassigned it to powertop.

Thanks for the bug report,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug reopened, originator not changed. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2007 19:06:04 GMT) Full text and rfc822 format available.

Changed Bug title to `powertop should correctly use hal-disable-polling' from `hal: hal-disable-polling --enable-polling does not work'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2007 19:06:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `hal' to `powertop'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 19 Dec 2007 19:21:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:22 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions powertop/1.97-1. Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Fri, 18 Mar 2011 07:51:18 GMT) Full text and rfc822 format available.

Reply sent to Patrick Winnertz <winnie@debian.org>:
You have taken responsibility. (Fri, 18 Mar 2011 07:57:07 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Fri, 18 Mar 2011 07:57:07 GMT) Full text and rfc822 format available.

Message #45 received at 456598-done@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 456598-done@bugs.debian.org
Subject: this was removed in powertop 2.0 preX
Date: Fri, 18 Mar 2011 08:55:01 +0100
[Message part 1 (text/plain, inline)]
Version: 1.97-1

Hey,

as upstream removed these type of actions from powertop this bug doesn't 
apply anymore to the versions in unstable and testing. 

Greetings
Winnie
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Apr 2011 07:35:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:10:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.